Subject: Re: [PATCH] Disable TSO for non standard qdiscs

From: Rick Jones <[email-masked]>
Date: Thu, 31 Jan 2008 10:35:42 -0800

Andi Kleen wrote:
> On Thu, Jan 31, 2008 at 10:26:19AM -0800, Rick Jones wrote:
> 
>>Andi Kleen wrote:
>>
>>>TSO interacts badly with many queueing disciplines because they rely on 
>>>reordering packets from different streams and the large TSO packets can 
>>>make this difficult. This patch disables TSO for sockets that send over 
>>>devices with non standard queueing disciplines. That's anything but noop 
>>>or pfifo_fast and pfifo right now.
>>
>>Does this also imply that JumboFrames interacts badly with these qdiscs? 
>> Or IPoIB with its 65000ish byte MTU?
> 
> 
> Correct. Of course it is always relative to the link speed. So if your
> link is 10x faster and your packets 10x bigger you can get similarly
> smooth shaping.

So, at what timescale do people using these qdiscs expect things to 
appear "smooth?"  64KB of data at GbE speeds is something just north of 
half a millisecond unless I've botched my units somewhere.

rick jones